## org.eclipse.datatools.modelbase.sql.xml.query
Interface XMLValueFunctionValidateElementNamespace

All Superinterfaces:
  org.eclipse.emf.ecore.EModelElement, org.eclipse.emf.ecore.ENamedElement, org.eclipse.emf.ecore.EObject, org.eclipse.emf.common.notify.Notifier, SQLObject, SQLQueryObject

    public interface XMLValueFunctionValidateElementNamespace

extends SQLQueryObject

A representation of the model object 'XML Value Function Validate Element Namespace'.

The following features are supported:

- `No Namespace`
- `Namespace URI`
- `Validate Element`

See Also:
  `SQLXMLQueryModelPackage.getXMLValueFunctionValidateElementNamespace()`

Method Summary
`java.lang.String` `getNamespaceURI()` Returns the value of the 'Namespace URI' attribute.
`XMLValueFunctionValidateElement` `getValidateElement()` Returns the value of the 'Validate Element' container reference.
`boolean` `isNoNamespace()` Returns the value of the 'No Namespace' attribute.
`void` `setNamespaceURI(java.lang.String value)` Sets the value of the '`Namespace URI`' attribute.
`void` `setNoNamespace(boolean value)` Sets the value of the '`No Namespace`' attribute.
`void` `setValidateElement(XMLValueFunctionValidateElement value)` Sets the value of the '`Validate Element`' container reference.

Methods inherited from interface org.eclipse.datatools.modelbase.sql.query.SQLQueryObject
`getSourceInfo, getSQL, setSourceInfo, setSQL`

Methods inherited from interface org.eclipse.datatools.modelbase.sql.schema.SQLObject
`addEAnnotation, addEAnnotationDetail, getComments, getDependencies, getDescription, getEAnnotation, getEAnnotationDetail, getExtensions, getLabel, getPrivileges, removeEAnnotationDetail, setAnnotationDetail, setDescription, setLabel`

Methods inherited from interface org.eclipse.emf.ecore.ENamedElement
`getName, setName`

Methods inherited from interface org.eclipse.emf.ecore.EModelElement
`getEAnnotations`

Methods inherited from interface org.eclipse.emf.ecore.EObject
`eAllContents, eClass, eContainer, eContainingFeature, eContainmentFeature, eContents, eCrossReferences, eGet, eGet, eInvoke, eIsProxy, eIsSet, eResource, eSet, eUnset`

Methods inherited from interface org.eclipse.emf.common.notify.Notifier
`eAdapters, eDeliver, eNotify, eSetDeliver`

Method Detail

### isNoNamespace

    boolean isNoNamespace()

  Returns the value of the 'No Namespace' attribute. The default value is `"false"`.

  If the meaning of the 'No Namespace' attribute isn't clear, there really should be more of a description here...

  Returns:
    the value of the 'No Namespace' attribute.
  See Also:
    `setNoNamespace(boolean)`, `SQLXMLQueryModelPackage.getXMLValueFunctionValidateElementNamespace_NoNamespace()`

### setNoNamespace

    void setNoNamespace(boolean value)

  Sets the value of the '`No Namespace`' attribute.

  Parameters:
    `value` - the new value of the 'No Namespace' attribute.
  See Also:
    `isNoNamespace()`

### getNamespaceURI

    java.lang.String getNamespaceURI()

  Returns the value of the 'Namespace URI' attribute.

  If the meaning of the 'Namespace URI' attribute isn't clear, there really should be more of a description here...

  Returns:
    the value of the 'Namespace URI' attribute.
  See Also:
    `setNamespaceURI(String)`, `SQLXMLQueryModelPackage.getXMLValueFunctionValidateElementNamespace_NamespaceURI()`

### setNamespaceURI

    void setNamespaceURI(java.lang.String value)

  Sets the value of the '`Namespace URI`' attribute.

  Parameters:
    `value` - the new value of the 'Namespace URI' attribute.
  See Also:
    `getNamespaceURI()`

### getValidateElement

    XMLValueFunctionValidateElement getValidateElement()

  Returns the value of the 'Validate Element' container reference. It is bidirectional and its opposite is '`Validate Element Namespace`'.

  If the meaning of the 'Validate Element' container reference isn't clear, there really should be more of a description here...

  Returns:
    the value of the 'Validate Element' container reference.
  See Also:
    `setValidateElement(XMLValueFunctionValidateElement)`, `SQLXMLQueryModelPackage.getXMLValueFunctionValidateElementNamespace_ValidateElement()`, `XMLValueFunctionValidateElement.getValidateElementNamespace()`

### setValidateElement

    void setValidateElement(XMLValueFunctionValidateElement value)

  Sets the value of the '`Validate Element`' container reference.

  Parameters:
    `value` - the new value of the 'Validate Element' container reference.
  See Also:
    `getValidateElement()`